[ 
https://issues.apache.org/jira/browse/BEAM-8822?focusedWorklogId=352632&page=com.atlassian.jira.plugin.system.issuetabpanels:worklog-tabpanel#worklog-352632
 ]

ASF GitHub Bot logged work on BEAM-8822:
----------------------------------------

                Author: ASF GitHub Bot
            Created on: 03/Dec/19 13:56
            Start Date: 03/Dec/19 13:56
    Worklog Time Spent: 10m 
      Work Description: suztomo commented on issue #10222: [BEAM-8822] Hadoop 
client version 2.8.5 from 2.7
URL: https://github.com/apache/beam/pull/10222#issuecomment-561178703
 
 
   Run Java PostCommit
 
----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
us...@infra.apache.org


Issue Time Tracking
-------------------

    Worklog Id:     (was: 352632)
    Time Spent: 5.5h  (was: 5h 20m)

> Hadoop Client version 2.8 from 2.7
> ----------------------------------
>
>                 Key: BEAM-8822
>                 URL: https://issues.apache.org/jira/browse/BEAM-8822
>             Project: Beam
>          Issue Type: Bug
>          Components: build-system
>            Reporter: Tomo Suzuki
>            Assignee: Tomo Suzuki
>            Priority: Major
>         Attachments: OGuVu0A18jJ.png
>
>          Time Spent: 5.5h
>  Remaining Estimate: 0h
>
> [~iemejia] says:
> bq. probably a quicker way forward is to unblock the bigtable issue is to 
> move our Hadoop dependency to Hadoop 2.8 given that Hadoop 2.7 is now EOL we 
> have a good reason to do so 
> https://cwiki.apache.org/confluence/display/HADOOP/EOL+%28End-of-life%29+Release+Branches
> The URL says
> {quote}Following branches are EOL: 
> [2.0.x - 2.7.x]{quote}
> https://issues.apache.org/jira/browse/BEAM-8569?focusedCommentId=16980532&page=com.atlassian.jira.plugin.system.issuetabpanels%3Acomment-tabpanel#comment-16980532
> About compatibility with other library:
> Hadoop client 2.7 is not compatible with Guava > 21 because of 
> Objects.toStringHelper. Fortunately Hadoop client 2.8 removed the use of the 
> method 
> ([detail|https://github.com/GoogleCloudPlatform/cloud-opensource-java/issues/1028#issuecomment-557709027]).
> 2.8.5 is the latest in 2.8.X.
>  !OGuVu0A18jJ.png! 



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Reply via email to